Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(615)

Unified Diff: utils/css/css

Issue 9695048: Template parser (Closed) Base URL: https://dart.googlecode.com/svn/branches/bleeding_edge/dart
Patch Set: Siggi's comments Created 8 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | utils/css/css.dart » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: utils/css/css
diff --git a/utils/css/css b/utils/css/css
new file mode 100755
index 0000000000000000000000000000000000000000..1dcc22d28b5bced8eafd9cfc596a5152b1bf6d21
--- /dev/null
+++ b/utils/css/css
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# To pre-process CSS files, run this script with the path to a .scss file, like:
+#
+# $ $DART/utils/css/css foo.scss foo.css
+#
+# To use your Dart VM must be on your $PATH e.g.,
+#
+# export PATH=$PATH:/home/<your name>/dart-all/dart/out/Release_ia32/
+
+
+SRCFILE=$PWD/$1
+OUTPUT=$PWD/$2
+if [[ $1 == $2 ]]
+then
+ echo -e "\033[31msource file must be different then output file\033[0m"
+ exit 1
+fi
+
+# Path of this bash script.
+BASE_DIR="$( cd "$( dirname "$0" )" && pwd )"
+
+# Pre-process the file
+dart $BASE_DIR/tool.dart $SRCFILE $OUTPUT
+
« no previous file with comments | « no previous file | utils/css/css.dart » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698